searchNodes=[{"ref":"Jalaali.html","title":"Jalaali","module":"Jalaali","type":"module","doc":"Jalaali module helps converting gregorian dates to jalaali dates. Jalaali calendar is widely used in Persia and Afganistan. This module helps you with converting erlang and/or elixir DateTime formats to Jalaali date (and vice versa) and checking for leap years"},{"ref":"Jalaali.html#days_to_jalaali/1","title":"Jalaali.days_to_jalaali/1","module":"Jalaali","type":"function","doc":"Converts days number to jalaali date"},{"ref":"Jalaali.html#is_leap_jalaali_year/1","title":"Jalaali.is_leap_jalaali_year/1","module":"Jalaali","type":"function","doc":"Checks if a Jalaali year is leap Parameters jy: Jalaali Year (-61 to 3177) Examples iex&gt; Jalaali.is_leap_jalaali_year(1395) true iex&gt; Jalaali.is_leap_jalaali_year(1396) false iex&gt; Jalaali.is_leap_jalaali_year(1394) false"},{"ref":"Jalaali.html#is_valid_jalaali_date/1","title":"Jalaali.is_valid_jalaali_date/1","module":"Jalaali","type":"function","doc":"This function is same as is_valid_jalaali_date? and is only here because i forgot to add question mark in jalaali &lt;= 0.1.1 Please use is_valid_jalaali_date? instead."},{"ref":"Jalaali.html#is_valid_jalaali_date?/1","title":"Jalaali.is_valid_jalaali_date?/1","module":"Jalaali","type":"function","doc":"Checks whether a Jalaali date is valid or not. Parameters arg1: is a tuple in shape of {jalaali_year, jalaali_month, jalaali_day} Examples iex&gt; Jalaali.is_valid_jalaali_date {1395, 9, 27} true iex&gt; Jalaali.is_valid_jalaali_date {1395, 91, 27} false"},{"ref":"Jalaali.html#jal_cal/1","title":"Jalaali.jal_cal/1","module":"Jalaali","type":"function","doc":"This function determines if the Jalaali (persian) year is leap(366-day long) or is the common year (365-days), and finds the day in March (Gregorian calendar) of the first day of the Jalaali year (jy). Parameters jy: Jalaali Year (-61 to 3177)"},{"ref":"Jalaali.html#jalaali_month_length/2","title":"Jalaali.jalaali_month_length/2","module":"Jalaali","type":"function","doc":"Number of days in a given month in a Jalaali year. Examples iex&gt; Jalaali.jalaali_month_length(1395, 11) 30 iex&gt; Jalaali.jalaali_month_length(1395, 6) 31 iex&gt; Jalaali.jalaali_month_length(1394, 12) 29 iex&gt; Jalaali.jalaali_month_length(1395, 12) 30"},{"ref":"Jalaali.html#jalaali_to_days/3","title":"Jalaali.jalaali_to_days/3","module":"Jalaali","type":"function","doc":"Converts jalaali date to days number"},{"ref":"Jalaali.html#to_gregorian/1","title":"Jalaali.to_gregorian/1","module":"Jalaali","type":"function","doc":"Converts and elixir Date or DateTime from Gregorian to Jalaali in elixir Date or DateTime format Parameters ex_dt: Date or DateTime to convert Exmaples iex&gt; Jalaali.to_gregorian ~D[1395-09-27] ~D[2016-12-17]"},{"ref":"Jalaali.html#to_jalaali/1","title":"Jalaali.to_jalaali/1","module":"Jalaali","type":"function","doc":"Converts and elixir Date or DateTime from Gregorian to Jalaali in elixir Date or DateTime format Parameters ex_dt: Date or DateTime to convert Exmaples iex&gt; Jalaali.to_jalaali ~D[2016-12-17] ~D[1395-09-27]"},{"ref":"Jalaali.Calendar.html","title":"Jalaali.Calendar","module":"Jalaali.Calendar","type":"module","doc":"A calendar implementation based on jalaali calendar system"},{"ref":"Jalaali.Calendar.html#date_to_string/3","title":"Jalaali.Calendar.date_to_string/3","module":"Jalaali.Calendar","type":"function","doc":"Converts the given date into a string."},{"ref":"Jalaali.Calendar.html#date_to_string/4","title":"Jalaali.Calendar.date_to_string/4","module":"Jalaali.Calendar","type":"function","doc":"Converts a Date struct to string human readable format Extended type of string date. e.g.: &quot;2017-01-05&quot; :extended Basic type of string date. e.g.: &quot;20170105&quot; :basic"},{"ref":"Jalaali.Calendar.html#datetime_to_string/11","title":"Jalaali.Calendar.datetime_to_string/11","module":"Jalaali.Calendar","type":"function","doc":"Convers the datetime (with time zone) into a human readable string."},{"ref":"Jalaali.Calendar.html#day_of_era/3","title":"Jalaali.Calendar.day_of_era/3","module":"Jalaali.Calendar","type":"function","doc":"Calculates the day and era from the given year, month, and day. Examples iex&gt; Jalaali.Calendar.day_of_era(0, 1, 1) {366, 0} iex&gt; Jalaali.Calendar.day_of_era(1, 1, 1) {1, 1} iex&gt; Jalaali.Calendar.day_of_era(0, 12, 30) {1, 0} iex&gt; Jalaali.Calendar.day_of_era(0, 12, 29) {2, 0} iex&gt; Jalaali.Calendar.day_of_era(-1, 12, 29) {367, 0}"},{"ref":"Jalaali.Calendar.html#day_of_week/3","title":"Jalaali.Calendar.day_of_week/3","module":"Jalaali.Calendar","type":"function","doc":"Returns day of week on a spesific set of year, month and day"},{"ref":"Jalaali.Calendar.html#day_of_year/3","title":"Jalaali.Calendar.day_of_year/3","module":"Jalaali.Calendar","type":"function","doc":"Calculates the day of the year from the given year, month, and day. It is an integer from 1 to 366. Examples iex&gt; Jalaali.Calendar.day_of_year(1398, 1, 31) 31 iex&gt; Jalaali.Calendar.day_of_year(-61, 2, 1) 32 iex&gt; Jalaali.Calendar.day_of_year(1397, 2, 28) 59"},{"ref":"Jalaali.Calendar.html#day_rollover_relative_to_midnight_utc/0","title":"Jalaali.Calendar.day_rollover_relative_to_midnight_utc/0","module":"Jalaali.Calendar","type":"function","doc":"In Jalaali calendar new day starts at midnight. This function always returns {0, 1} as result."},{"ref":"Jalaali.Calendar.html#months_in_year/1","title":"Jalaali.Calendar.months_in_year/1","module":"Jalaali.Calendar","type":"function","doc":"Returns how many months there are in the given year. It&#39;s always 12 for Jalaali calendar system. Examples iex&gt; Jalaali.Calendar.months_in_year(1398) 12"},{"ref":"Jalaali.Calendar.html#naive_datetime_from_iso_days/1","title":"Jalaali.Calendar.naive_datetime_from_iso_days/1","module":"Jalaali.Calendar","type":"function","doc":"Converts the t:Calendar.iso_days format to the datetime format specified by this calendar."},{"ref":"Jalaali.Calendar.html#naive_datetime_to_iso_days/7","title":"Jalaali.Calendar.naive_datetime_to_iso_days/7","module":"Jalaali.Calendar","type":"function","doc":"Returns the t:Calendar.iso_days format of the specified date."},{"ref":"Jalaali.Calendar.html#naive_datetime_to_string/7","title":"Jalaali.Calendar.naive_datetime_to_string/7","module":"Jalaali.Calendar","type":"function","doc":"Converts the datetime (without time zone) into a human readable string."},{"ref":"Jalaali.Calendar.html#quarter_of_year/3","title":"Jalaali.Calendar.quarter_of_year/3","module":"Jalaali.Calendar","type":"function","doc":"Calculates the quarter of the year from the given year, month, and day. It is an integer from 1 to 4. Examples iex&gt; Jalaali.Calendar.quarter_of_year(1398, 1, 31) 1 iex&gt; Jalaali.Calendar.quarter_of_year(123, 4, 3) 2 iex&gt; Jalaali.Calendar.quarter_of_year(-61, 9, 31) 3 iex&gt; Jalaali.Calendar.quarter_of_year(2678, 12, 28) 4"},{"ref":"Jalaali.Calendar.html#time_from_day_fraction/1","title":"Jalaali.Calendar.time_from_day_fraction/1","module":"Jalaali.Calendar","type":"function","doc":"Converts a day fraction to this Calendar&#39;s representation of time. Examples iex&gt; Calendar.ISO.time_from_day_fraction({1,2}) {12, 0, 0, {0, 6}} iex&gt; Calendar.ISO.time_from_day_fraction({13,24}) {13, 0, 0, {0, 6}}"},{"ref":"Jalaali.Calendar.html#time_to_day_fraction/4","title":"Jalaali.Calendar.time_to_day_fraction/4","module":"Jalaali.Calendar","type":"function","doc":"Returns the normalized day fraction of the specified time. Examples iex&gt; Calendar.ISO.time_to_day_fraction(0, 0, 0, {0, 6}) {0, 86400000000} iex&gt; Calendar.ISO.time_to_day_fraction(12, 34, 56, {123, 6}) {45296000123, 86400000000}"},{"ref":"Jalaali.Calendar.html#time_to_string/4","title":"Jalaali.Calendar.time_to_string/4","module":"Jalaali.Calendar","type":"function","doc":"Converts the given time into a string."},{"ref":"Jalaali.Calendar.html#time_to_string/5","title":"Jalaali.Calendar.time_to_string/5","module":"Jalaali.Calendar","type":"function","doc":""},{"ref":"Jalaali.Calendar.html#year_of_era/1","title":"Jalaali.Calendar.year_of_era/1","module":"Jalaali.Calendar","type":"function","doc":"Calculates the year and era from the given year. The Jalaali calendar has two eras: the current era which starts in year 1 and is defined as era 1. and a second era for those years less than 1 defined as era 0. Examples iex&gt; Jalaali.Calendar.year_of_era(1) {1, 1} iex&gt; Jalaali.Calendar.year_of_era(1398) {1398, 1} iex&gt; Jalaali.Calendar.year_of_era(0) {1, 0} iex&gt; Jalaali.Calendar.year_of_era(-1) {2, 0}"},{"ref":"Jalaali.Calendar.html#t:day/0","title":"Jalaali.Calendar.day/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:day_of_week/0","title":"Jalaali.Calendar.day_of_week/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:hour/0","title":"Jalaali.Calendar.hour/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:microsecond/0","title":"Jalaali.Calendar.microsecond/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:minute/0","title":"Jalaali.Calendar.minute/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:month/0","title":"Jalaali.Calendar.month/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:second/0","title":"Jalaali.Calendar.second/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"Jalaali.Calendar.html#t:year/0","title":"Jalaali.Calendar.year/0","module":"Jalaali.Calendar","type":"type","doc":""},{"ref":"readme.html","title":"Elixir Jalaali calendar","module":"readme","type":"extras","doc":"Elixir Jalaali calendar Elixir implementation of jalaali.js which contains a Calendar implementation for jalaali and some functions for converting Jalaali and Gregorian calendar systems to each other."},{"ref":"readme.html#installation","title":"Elixir Jalaali calendar - Installation","module":"readme","type":"extras","doc":"You can install jalaali by Addding it to your list of dependencies in mix.exs: def deps do [{:jalaali, &quot;~&gt; 0.2.1&quot;}] end"},{"ref":"readme.html#usage","title":"Elixir Jalaali calendar - Usage","module":"readme","type":"extras","doc":"After installing jalaali package. you can create Dates/DateTimes in jalaali or convert Dates/DateTimes form other calendars back an forth. This feature is intruduced in Elixir 1.5 so in any versions below 1.5 the Date and DateTime modules lack functions for converting calendars. However you can just copy those modules but its just better to migrate to 1.5 or above How to use Creating new Date Date.new(1396, 6, 30, Jalaali.Calendar) {:ok, %Date{calendar: Jalaali.Calendar, day: 30, month: 6, year: 1396}} Converting a DateTime to Jalaali datetime_in_any_calendar = DateTime.utc_now(Calendar.ISO) {:ok, jalaali_datetime} = DateTime.convert(datetime_in_any_calendar, Jalaali.Calendar) Converting a DateTime from Jalaali jalaali_datetime = DateTime.utc_now(Jalaali.Calendar) {:ok, iso_datetime} = DateTime.convert(jalaali_datetime, Calendar.ISO) Converting a Date to Jalaali date_in_any_calendar = Date.new(2017, 1, 1, Calendar.ISO) {:ok, jalaali_date} = Date.convert(date_in_any_calendar, Jalaali.Calendar) Converting a Date from Jalaali {:ok, jalaali_date} = Date.new(1396, 6, 30, Jalaali.Calendar) {:ok, iso_date} = Date.convert(jalaali_date, Calendar.ISO) Thats super easy. :)"},{"ref":"readme.html#license","title":"Elixir Jalaali calendar - License","module":"readme","type":"extras","doc":"This project is license under MIT. For more information please check LICENSE"}]